Bug 1311932 - Review Request: mu - A simple Python editor for micro:bit
Review Request: mu - A simple Python editor for micro:bit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 06:12 EST by kushaldas@gmail.com
Modified: 2016-05-30 03:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-30 03:28:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kumarpraveen.nitdgp: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2016-02-25 06:12:19 EST
Spec URL: https://kushal.fedorapeople.org/packages/mu.spec
SRPM URL: https://kushal.fedorapeople.org/packages/mu-0.1-1.fc23.src.rpm
Description: a simple Python editor which targets BBC micro:bit devices.
Fedora Account System Username: kushal
Comment 1 Praveen Kumar 2016-02-25 06:53:21 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: Cannot find LICENSE.txt in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 10 files have
     unknown license. Detailed output of licensecheck in /home/prkumar
     /fedora-scm/1311932-mu/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/udev, /etc/udev/rules.d
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mu-0.1-1.fc23.noarch.rpm
          mu-0.1-1.fc23.src.rpm
mu.noarch: W: no-manual-page-for-binary mu
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
mu.noarch: W: no-manual-page-for-binary mu
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
mu (rpmlib, GLIBC filtered):
    /usr/bin/python3
    config(mu)
    python(abi)
    python3-qscintilla-qt5
    python3-qt5



Provides
--------
mu:
    application()
    application(mu.desktop)
    config(mu)
    mu



Source checksums
----------------
http://ntoll.org/static/files/mu-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : d61dca87a79d8b3e9e5a95bc187d4ceb0e00f29a9bd9a2189be0a2b6c11327ae
  CHECKSUM(SHA256) upstream package : d61dca87a79d8b3e9e5a95bc187d4ceb0e00f29a9bd9a2189be0a2b6c11327ae
Comment 2 kushaldas@gmail.com 2016-02-26 05:26:49 EST
Updated spec and srpm

Spec URL: https://kushal.fedorapeople.org/packages/mu.spec
SRPM URL: https://kushal.fedorapeople.org/packages/mu-0.1-2.fc23.src.rpm
Comment 3 Parag AN(पराग) 2016-02-26 06:52:07 EST
Just a side note not a blocker. 
Please note that we already have some other mu package under review (bug 821917) since long. Looks like its also trying to install mu binary but I don't see any further progress on that package review so its not likely coming to Fedora soon. But if it will in future conflicts need to be solved between both package maintainers providing /usr/bin/mu file.
Comment 4 Praveen Kumar 2016-02-27 00:43:46 EST
Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: Cannot find LICENSE.txt in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

licensecheck have issue with detecting GPLv3.

$ wget http://www.gnu.org/licenses/gpl.txt
2016-02-27 11:11:24 (17.6 KB/s) - ‘gpl.txt’ saved [35147/35147]

[prkumar@localhost mu-0.1]$ ls
conf  gpl.txt  LICENSE  MANIFEST.in  mu  mu.egg-info  PKG-INFO  README.rst  run.py  setup.cfg  setup.py

$ diff gpl.txt LICENSE 

$ licensecheck gpl.txt 
gpl.txt: UNKNOWN

$ licensecheck LICENSE 
LICENSE: UNKNOWN


========================== APPROVED =======================
Comment 5 Gwyn Ciesla 2016-02-29 08:35:15 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/mu

Note You need to log in before you can comment on or make changes to this bug.